/*
 * @(#)ImapExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.imap.*;
import com.jscape.inet.email.*;
import com.jscape.inet.mime.*;
import java.util.Enumeration;
import java.io.*;

public class ImapExample {
    
    static BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
    
    // get messages from Imap mailbox
    public void getMessages(String hostname, String username, String password) throws ImapException, MimeException, IOException {
        Imap imap = new Imap(hostname,username,password);
        imap.connect();
        
        int messageCount = imap.getMessageCount();
        
        for(int i = 1; i <= messageCount; i++) {
            EmailMessage msg = imap.getMessage(i);
            System.out.println("-- begin message --");
            System.out.println(new String(msg.getMessage()));
            System.out.println("-- end message --");
            System.out.print("ENTER for next message or type QUIT to quit: ");
            String command = reader.readLine();
            if(command.equalsIgnoreCase("quit")) {
                break;
            }            
        }       
        imap.disconnect();
    }
    
    public static void main(String[] args) {
        String hostname;
        String username;
        String password;
        
        try {
            System.out.print("Enter Imap hostname (e.g. mail.domain.com): ");
            hostname = reader.readLine();
            System.out.print("Enter Imap Username: ");
            username = reader.readLine();
            System.out.print("Enter Imap Password: ");
            password = reader.readLine();
            ImapExample example = new ImapExample();
            example.getMessages(hostname,username,password);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}

