/*
 * @(#)RexecExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import java.io.*;
import com.jscape.inet.bsd.*;

public class RexecExample {
    
    public void executeCommand(String hostname, String username,
    String password, String command) throws BsdException, IOException {
        // create new Rexec instance
        Rexec rexec = new Rexec(hostname,username,password,command,false);
        
        // connect to server and execute command
        rexec.connect();
        rexec.execute();
        
        // get results of command executed and print to console
        InputStream input = rexec.getInputStream();
        int in = input.read();
        StringBuffer buffer = new StringBuffer();
        if(in == 0) {
            buffer.append("Success! Remote host returned: \n");
        }
        else {
            buffer.append("Failure! Remote host returned: \n");
        }
        while((in = input.read()) != -1) {
            buffer.append((char)in);
        }
        System.out.println(buffer.toString());
        
        // disconnect from server
        rexec.disconnect();
    }
    
    public static void main(String[] args) {
        String hostname;
        String username;
        String password;
        String command;
        
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter Rexec Hostname (e.g. domain.com): ");
            hostname = reader.readLine();
            System.out.print("Enter Rexec Username: ");
            username = reader.readLine();
            System.out.print("Enter Rexec Password: ");
            password = reader.readLine();
            System.out.print("Enter Rexec Command: ");
            command = reader.readLine();
            RexecExample example = new RexecExample();
            example.executeCommand(hostname,username,password,command);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
        
    }
}
