/*
 * @(#)SFtpMuploadExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */


import com.jscape.inet.sftp.*;
import com.jscape.inet.sftp.events.*;
import com.jscape.inet.ssh.util.SshParameters;
import java.io.*;
import java.util.Enumeration;

public class SFtpMuploadExample extends SftpAdapter {
    
    // perform multiple file upload
    public void doUpload(String ftpHostname, String ftpUsername, String ftpPassword) throws SftpException {

		// create new SshParameters instance
		SshParameters params = new SshParameters(ftpHostname,ftpUsername,ftpPassword);    		
		    	
		// create new Sftp instance
		Sftp ftp = new Sftp(params);
                
        // register to capture SFTP related events
        ftp.addSftpListener(this);
        
        // establish secure connection
        ftp.connect();        
        
        // upload all files in local directory matching filter
        ftp.mupload(".*\\.gif");
        
        // disconnect
        ftp.disconnect();
    }   
    
    
    // captures upload event
    public void upload(SftpUploadEvent evt) {
        System.out.println("Uploaded file: " + evt.getFilename());
    }
    
    // captures connect event
    public void connected(SftpConnectedEvent evt) {
        System.out.println("Connected to server: " + evt.getHostname());
    }
    
    // captures disconnect event
    public void disconnected(SftpDisconnectedEvent evt) {
        System.out.println("Disconnected from server: " + evt.getHostname());
    }
    
    
    public static void main(String[] args) {
    	String sshHostname;
    	String sshUsername;
    	String sshPassword;

        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter SSH hostname (e.g. myserver.com): ");
            sshHostname = reader.readLine();
            System.out.print("Enter SSH username (e.g. jsmith): ");
            sshUsername = reader.readLine();
            System.out.print("Enter SSH password (e.g. secret): ");
            sshPassword = reader.readLine();
            SFtpMuploadExample example = new SFtpMuploadExample();            
            
            // do upload
            example.doUpload(sshHostname, sshUsername, sshPassword);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}
